#!/bin/bash

set -x  # enable debugging
video=$(find "/home/storage/INLET/Youtube/Videos/" -maxdepth 4 -type f \( -name '*.webm' -o -name '*.mp4' -o -name '*.mkv' \) -printf "%T@ %p\n" | sort -n | head -n 1 | awk '{gsub(/^[^ ]+ /,""); print}')
move_to_folder=/home/storage/INLET/Interresting_vids
wl_folder=/home/storage/INLET/Youtube/Later
eval $(cat /home/william/Ressources/Divscripts/Video_watch/mplayer-with-status.sh)
source /home/william/Ressources/Divscripts/Video_watch/mplayer-with-status.sh 


# Vérifier si une vidéo a été trouvée
if [[ -f "$video" ]]; then
    # Afficher la vidéo
    echo "Lecture de la vidéo : $video"
    playMediaFile "$video" 
    mplayer_pid=$(getPID)
    
    # Periodically check if mplayer is still running
    while ps -p "$mplayer_pid" > /dev/null; do
        sleep 0.3  # Adjust the sleep duration as needed
    done

    # mplayer has finished
    echo "MPlayer has finished playing the video."


    # Demander à l'utilisateur s'il souhaite supprimer, déplacer la vidéo ou revoir
    choice=$(zenity --list --column "$video" "Supprimer la vidéo" "Déplacer la vidéo dans le dossier $move_to_folder" "Voir plus tard" "Revoir la vidéo" --text "Que voulez-vous faire avec la vidéo ?" --title="Trieur de vidéos" --width=750 --height=200 & sleep 0.1 && xdotool key Up)

    if [[ "$choice" == "Supprimer la vidéo" ]]; then
        gio trash "$video"
        echo "Suppression de la vidéo : $video"
        echo $[$(cat ~/Ressources/Divscripts/Timers/tempcount.txt) + 60] > ~/Ressources/Divscripts/Timers/tempcount.txt
        echo $[$(cat ~/Ressources/Divscripts/Metrics/Sortedvideocount.txt) + 1] > ~/Ressources/Divscripts/Metrics/Sortedvideocount.txt
        exec bash $0

    elif [[ "$choice" == "Déplacer la vidéo dans le dossier $move_to_folder" ]]; then
        # Vérifier si le dossier de destination existe et le créer sinon
        if [[ ! -d "$move_to_folder" ]]; then
            mkdir -p "$move_to_folder"
            echo $[$(cat ~/Ressources/Divscripts/Metrics/Sortedvideocount.txt) + 1] > ~/Ressources/Divscripts/Metrics/Sortedvideocount.txt
        fi
        # Déplacer la vidéo dans le dossier de destination
        mv "$video" "$move_to_folder"
        echo "Vidéo déplacée dans le dossier : $move_to_folder"
        echo $[$(cat ~/Ressources/Divscripts/Timers/tempcount.txt) + 60] > ~/Ressources/Divscripts/Timers/tempcount.txt
        exec bash $0

    elif [[ "$choice" == "Voir plus tard" ]]; then
        # Vérifier si le dossier de destination existe et le créer sinon
        if [[ ! -d "$wl_folder" ]]; then
            mkdir -p "$wl_folder"
        fi
        # Déplacer la vidéo dans le dossier de destination
        mv "$video" "$wl_folder"
        echo "Vidéo déplacée dans le dossier : $wl_folder"
        exec bash $0    

    elif [[ "$choice" == "Revoir la vidéo" ]]; then
        # Relancer le script, relançant la vidéo.
        exec bash $0
    fi
else
    # Afficher un message d'erreur si aucune vidéo n'a été trouvée
    echo "Aucune vidéo trouvée dans le dossier"
fi
